package com.qs.mp.common.enums;

/**
 * @auther duota
 * @create 2021 2021/9/4 2:59 下午
 * @describe
 */
public enum ErrorCodeEnum {

  ERROR_CODE_1000(1000, "数据访问错误"),
  ERROR_CODE_1001(1001, "请求参数为空"),
  ERROR_CODE_1002(1002, "用户登录信息为空"),
  ERROR_CODE_1004(1004, "获取锁失败"),
  ERROR_CODE_1005(1005, "用户微信未授权登录"),
  ERROR_CODE_1006(1006, "客户ID不存在"),
  ERROR_CODE_1007(1007, "收支类型错误"),
  ERROR_CODE_1008(1008, "余额不足，结算失败"),
  ERROR_CODE_1009(1009, "数据更新异常"),
  ERROR_CODE_1010(1010, "数据对象不存在或者返回重复记录"),
  ERROR_CODE_1011(1011, "请求参数错误"),
  ERROR_CODE_1012(1012, "查询微信用户信息失败"),
  ERROR_CODE_1013(1013, "账号不存在"),
  ERROR_CODE_1014(1014, "当前账号不能删除"),
  ERROR_CODE_1015(1015, "保存失败"),
  ERROR_CODE_1016(1016, "账号未认证，请先完成认证再提交"),
  ERROR_CODE_1017(1017, "盲票已兑奖"),
  ERROR_CODE_1018(1018, "无权限查看"),
  ERROR_CODE_1019(1019, "盲票未付款"),
  ERROR_CODE_1020(1020, "库存不足"),
  ERROR_CODE_1021(1021, "盲豆余额不足"),
  ERROR_CODE_1022(1022, "订单支付中"),
  ERROR_CODE_1023(1023, "盲票未激活"),
  ERROR_CODE_1024(1024, "删除失败，分类下存在商品"),
  ERROR_CODE_1025(1025, "删除失败，标签下存在商品"),
  ;
  private int code;
  private String msg;

  ErrorCodeEnum(int code, String description) {
    this.code = code;
    this.msg = description;
  }

  public void setCode(int code) {
    this.code = code;
  }

  public int getCode() {
    return code;
  }

  public void setMsg(String description) {
    this.msg = description;
  }

  public String getMsg() {
    return msg;
  }

}
